How to Switch a SoundGrid System between versions

Last updated on: 12/8/2020 6:32:13 AM

Waves SoundGrid platform currently has four available versions: V9, V10 and V11 and V12. Use this guide to set up your SoundGrid system with the correct driver version for your SoundGrid Application.
  • Version 12 SuperRack, eMotion LV1 live mixer, SoundGrid Studio and Qrec all require the V12 SoundGrid Driver.
  • Version 11 SuperRack, eMotion LV1 and SoundGrid Studio require the V11 SoundGrid Driver.
  • Version 10 eMotion LV1 requires the V10 SoundGrid Driver.
  • Version 9 MultiRack and SoundGrid Studio, both require the V9 SoundGrid Driver.
Each one of these applications is installed with the (corresponding) driver version it requires.

If you run more than one SoundGrid application on the same computer, you must match the active driver version when switching between the applications.

Mac:

Windows:

If SoundGrid applications in the desired version have not been previously installed, the offline driver installer files will not be available in this location.

If you wish to connect other remote computers to your SoundGrid Network for playback and/or recording purposes*, the version of the driver installed locally on these systems must match that of the SoundGrid Application you are using to manage the network.

* Learn more about adding a Recording/Playback Computer to a SoundGrid Network.

Install missing SoundGrid driver versions using Waves Central here:

Mac users please note: If your user account has been named inappropriately, this may lead to the SoundGrid driver failing to install or open. Learn how to properly name your Mac user account.

After installing the driver, make sure to go to System Preferences > Security, open the lock to make changes, and “Allow” loading software from “Waves Inc.
 
None of the above worked? Contact Technical Support.

Was this article helpful?